### Function

# FwupdPlugin ChunkArray mutable_new

#### Declaration [src]

    GPtrArray*
    fu_chunk_array_mutable_new (
      guint8* data,
      gsize data_sz,
      gsize addr_offset,
      gsize page_sz,
      gsize packet_sz
    )

#### Description [src]

Chunks a mutable blob of memory into packets, ensuring each packet does not cross a package boundary and is less that a specific transfer size.

Available since: | 1.5.6

#### Parameters

`data` | `guint8*`
| A mutable blob of memory.
| The data is owned by the caller of the function.
`data_sz` | `gsize`
| Size of `data_sz`.
`addr_offset` | `gsize`
| The hardware address offset, or 0
`page_sz` | `gsize`
| The hardware page size, or 0
`packet_sz` | `gsize`
| The transfer size, or 0

#### Return value

Returns: | An array of `FuChunk*`
| Array of packets.
| The caller of the function takes ownership of the data container, but not the data inside it.